% modprelims - sets administrative path info, and definitions
% revision of prelims -- dc 11/05
% (note, omitted 'wipe' for convenience in cut-paste debugging)
%	outputs are
%		adm.dir = homedirectory string
%       adm.modname = name of module
%       adm.indesc = description of input [blank for now]
%		def.rpd = radians per degree
%       def.bad = bad value
%       def.kmperdeg = kilometers per degree

clear; clear global;

% path

adm.dir = cd;

slashes = find(adm.dir == '\');

adm.modname = adm.dir(max(slashes)+1:length(adm.dir));

adm.indesc = [];

% definitions

def.rpd = 2*pi/360;

def.bad = 1e35;

def.kmperdeglat = 111.120;

% others

more off;

% clean up and leave

eval(['cd ' adm.dir]);

clear slashes;

% had to comment this out for v7.3
% pack;



